<?php
class VentaController extends Zend_Controller_Action
{
    public function init()
    {
         $auth = Zend_Auth::getInstance();

        if (!$auth->hasIdentity()) {
            $this->_redirect('/index/exit');
        }

        
        $usuario = Zend_Auth::getInstance()->getIdentity();
        $empleado = new Empleado();
        $this->view->usuario = $empleado->fetchRow('id='.$usuario->empleado_id);

        $this->path = '/venta';
        $this->view->back_url = $_SERVER['HTTP_REFERER'];
        
        $header = Zend_Controller_Action_HelperBroker::getStaticHelper('Auth')->chooseMenu($usuario->tipo_usuario_id);
        $response = $this->getResponse();
        $response->insert('header', $this->view->render($header));

    }
    
    public function indexAction()
    {
        $this->_redirect('/start/');
    }

}