<?php
class Default_Form_SelectOptionToAdd extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
        
        $this->setName("select_option_to_add");
        $opciones = new Zend_Form_Element_Select('opcion');
        $opciones->setLabel('Seleccione el tipo de ítem')
               ->setRequired(true)
               ->addFilter('StripTags')
               ->addFilter('StringTrim')
               ->addValidator('NotEmpty')
               ->addMultiOption('','-- Seleccionar opción --')
               ->addMultiOption('1','Seleccionar desde el inventario')
               ->addMultiOption('2','Crear uno nuevo');
        $this->addElements(array($opciones));
        /* alternative decoration */
        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form');
        $this->setElementDecorators(array(
            array('ViewHelper'),
            array('Errors'),
            array('Description'),
            array('Label', array('separator'=>' ')),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
        ));
    }
} 
