<?php
class Default_Model_Cotizacion extends Zend_Db_Table_Abstract
{
    protected $_name = 'cotizaciones';
    protected $_primary = 'id';
    
    public static function _getPrefs()
    {
        $model = new Default_Model_Preferencia();
        $preferencias = $model->fetchAll("nombre LIKE 'CT_%'");
        $data = array();
        foreach($preferencias as $pref){
            $data[$pref->nombre] = $pref->valor;
        }
        return $data;
    }

    public static function archivar($id, $estado)
    {
        try {

            $modelItem = new Default_Model_ItemCotizacion();
            $whereItem = $modelItem->getAdapter()->quoteInto("id=?", $id);
            $rowItem = $modelItem->fetchRow($whereItem);

            $modelCotizacion = new Default_Model_Cotizacion();
            $whereCotizacion = $modelCotizacion->getAdapter()->quoteInto("id=?", $rowItem->cotizacion_id);
            $rowCotizacion = $modelCotizacion->fetchRow($whereCotizacion);
            $rowCotizacion->archivar= $estado;
            $rowCotizacion->save();
            return true;

        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
}