<?php
class Default_Model_Empleado extends Zend_Db_Table_Abstract
{
    protected $_name = 'empleados';
    protected $_primary = 'rut';
    
    public static function getPairsToSelect()
    {
        $db = new Default_Model_Empleado();
        $result = $db->getAdapter()->fetchPairs("SELECT rut, nombre_corto AS empleado FROM empleados WHERE acceso_sistema='HABILITADO' ORDER BY nombres, apellidos");
        return $result;
    }

    public static function getEmpleadosCajaChica()
    {
        $db = new Default_Model_Empleado();
        $result = $db->getAdapter()->fetchPairs("SELECT rut, nombre_corto AS empleado FROM empleados  WHERE acceso_sistema='HABILITADO' AND rut NOT IN (SELECT id FROM cc_cajas) ORDER BY nombres, apellidos");
        return $result;
    }

    public static function getEmpleadosTaller()
    {
        $db = new Default_Model_Empleado();
        $result = $db->getAdapter()->fetchPairs('SELECT rut, nombre_corto AS empleado FROM empleados  WHERE taller=\'SI\' ORDER BY nombres, apellidos');
        return $result;
    }

    public static function getNombreByRut($rut)
    {
        if($rut){
            $db = new Default_Model_Empleado();
            $sql = "SELECT nombre_corto AS empleado FROM empleados WHERE rut='$rut'";
            $result = $db->getAdapter()->fetchOne($sql);
            return $result;
        } else {
            return false;
        }
    }
}