<?php
class Default_Model_ModeloVehiculo extends Zend_Db_Table_Abstract
{
    protected $_name = 'modelos_vehiculos';
    protected $_primary = 'id';

    private $_id;

    public function setId($_id)
    {
        $this->_id = $_id;
    }
        
    public function getAll()
    {
        return $this->fetchAll();
    }


    public function getRowById()
    {
        return $this->fetchRow('id=' . $this->_id);
    }

    public function getRowsByMarca($marca_id)
    {
        return $this->fetchAll('marca_id=' . $marca_id);
    }

    public static function getPairsToSelect()
    {
        $db = new Default_Model_ModeloVehiculo();
        $result = $db->getAdapter()->fetchPairs("SELECT id, CONCAT(nombre, ' - año ',years) FROM modelos_vehiculos ORDER BY nombre");
        return $result;
    }

    public static function getPairsToSelectByMarca($marca_id)
    {
        $sql = "SELECT id, CONCAT(nombre, ' - año ',years) FROM modelos_vehiculos WHERE marca_id='$marca_id' ORDER BY nombre";
        $db = new Default_Model_ModeloVehiculo();
        $result = $db->getAdapter()->fetchPairs($sql);
        return $result;
    }

    public static function getMarcaIdByModeloId($modelo_id)
    {
        $db = Zend_Registry::get('db');
        $db->setFetchMode(Zend_Db::FETCH_OBJ);
        $select = $db->select()
            ->from(array('mv' => 'modelos_vehiculos'),
                   array('marca_id'))
            ->where('mv.id = ? ', $modelo_id);
        $marca_id = $db->fetchOne($select);
        return $marca_id;
    }

}