<?php
class Default_Model_VistaArticulos extends Zend_Db_Table_Abstract
{
    protected $_name = 'vista_articulos';
    protected $_primary = 'codigo';

    public static function search($param)
    {
        $sql = "SELECT * FROM vista_articulos ";
        $sql .= "WHERE nombre LIKE '$param%' ";
        $sql .= "OR categoria LIKE '$param%' ";
        $sql .= "OR fabricante LIKE '$param%' ";
        $sql .= "OR envase LIKE '$param%' ";
        $sql .= "AND estado = 'DISPONIBLE' ";
        $sql .= "ORDER BY nombre";
        
        $model = new Default_Model_VistaArticulos();
        $db = $model->getAdapter();
        $data = $db->fetchAll($sql);

        $newData = array();

        foreach($data as $row){
            $newRow = array();
            $newRow['value']    = $row['categoria'] . ' : ' . $row['fabricante'] . ' : ' . $row['nombre'] . ' : ' . utf8_decode($row['envase']);
            $newRow['valor1']   = $row['codigo'];
            $newRow['valor2']   = round($row['precio_unitario_neto'] * Default_Model_FormaPago::getPorcentajeRecargo(), 0);
            $newRow['valor3']   = $row['categoria'] . ' : ' . $row['fabricante'] . ' : ' . $row['nombre'] . ' : ' . utf8_decode($row['envase']);

            if($row['descripcion']!=null){
                $newRow['valor3'] .= $row['descripcion'];
            }

            $newData[] = $newRow;
            unset($newRow);
        }
        return $newData;
    }
}