<?php
class Default_Model_VistaProductos extends Zend_Db_Table_Abstract
{
    protected $_name = 'vista_productos';
    protected $_primary = 'codigo';

    public static function search($param)
    {
        $sql = "SELECT * vista_productos ";
        $sql .= "WHERE nombre LIKE '$param%' ";
        $sql .= "OR categoria LIKE '$param%' ";
        $sql .= "AND estado='DISPONIBLE' ";
        $sql .= "ORDER BY nombre";

        $model = new Default_Model_VistaProductos();
        $db = $model->getAdapter();
        $data = $db->fetchAll($sql);

        $newData = array();

        foreach($data as $row){
            $newRow = array();
            $newRow['value']    = $row['categoria'] . ' : ' . $row['nombre'];

            $newRow['valor1']   = $row['codigo'];
            $newRow['valor2']   = round($row['precio_unitario_neto'] * Default_Model_FormaPago::getPorcentajeRecargo(), 0);
            $newRow['valor3']   = $row['categoria'] . ' : ' . $row['nombre'];

            if($row['descripcion']!=null){
                $newRow['valor3'] .= $row['descripcion'];
            }

            $newData[] = $newRow;
            unset($newRow);
        }

        return $newData;
    }

    /*
    public function getCostoTotalNeto($producto){
        $total_articulos = (int)self::_getCostoTotalArchivos($producto);
        $total_servicios = (int)self::_getCostoTotalServicios($producto);
        return $total_articulos + $total_servicios;
    }

    private function _getCostoTotalArticulos($producto){

        $total_articulos = 0;

        $articulo = new Default_Model_VistaArticulosProductos();
        $where = $articulo->getAdapter()->quoteInto("producto=?", $producto);
        $articulos = $articulo->fetchAll($where)->toArray();

        foreach($articulos as $row){
            $costo_total_articulo = (int)$row['costo'] * (int)$row['cant_unidades'];
            $total_articulos = $total_articulos + $costo_total_articulo;
        }

        return $total_articulos;
    }

    private function _getCostoTotalServicios($producto){

        $total_servicios = 0;

        $servicio = new Default_Model_VistaServiciosProductos();
        $where = $servicio->getAdapter()->quoteInto("producto=?", $producto);
        $servicios = $servicio->fetchAll($where)->toArray();

        foreach($servicios as $row){
            $total_servicios = $total_servicios + (int)$row['costo'];
        }

        return $total_servicios;
    }*/
}