<?php
class Zend_View_Helper_AjaxWindowSelectContacto
{
    function ajaxWindowSelectContacto($campo, $form, $title = 'Consulta Express', $id = 1, $type = null, $referencia_id = 0 )
    {
        $ajax_window =  "\n".'<div class="ajax_window" id="aw'.$id .'">' ;
        $ajax_window .= "\n\t".'<div class="ajax_window_close" id="awc'.$id.'"><span>cerrar</span></div>';
        $ajax_window .= "\n\t".'<div class="ajax_window_title">'.$title.'</div>';
        
        if($form!=null) {
            $ajax_window .= "\n\t".'<div class="ajax_window_form">'.$form.'</div>';
        }
        
        $ajax_window .= "\n\t".'<div class="ajax_window_data" id="awd'.$id.'"></div>';

        switch($type) {
            case "a" :
                $type = "all";
                break;
            case "p" :
                $type = "prv";
                break;
            case "c" :
                $type = "clt";
                break;
            case "b" :
                $type = "bnc";
                break;
            default :
                $type = "all";
        }

        $ajax_window .= "\n".'</div>'."\n";

        $ajax_window .= '
            <script type="text/javascript">
            $(document).ready(function(){
                $("'.$campo.'").after(\'<div id="get'.$id.'" class="ajax_window_button find"></div>\');
                $("#get'.$id.'").click(function(){ 
                    $("#aw'.$id.'").fadeIn();
                    $.ajax({
                        dataType: "html",
                        type: "POST",
                        url: "/ajax-contacto/get-all/",
                        data: "t='.$type.'&id='.$referencia_id.'",
                        beforeSend: function(data){
                            $("#awd'.$id.'").html("Cargando...");
                        },
                        success: function(requestData){
                            $("#awd'.$id.'").html(requestData);
                        }
                    });
                });
                $("#awc'.$id.'").click(function(){ $("#aw'.$id.'").fadeOut(); });
                $("#aw'.$id.' table tr td").livequery("mouseover", function(){ $(this).parent().addClass("ajax_window_td_sel"); });
                $("#aw'.$id.' table tr td").livequery("mouseout", function(){ $(this).parent().removeClass("ajax_window_td_sel"); });

                $("#aw'.$id.' table tr td").livequery("click", function(){
                    $("'.$campo.'").attr("value", $(this).parent().attr("id"));
                    $("#aw'.$id.'").fadeOut();
                });
            });
            </script>';

        return $ajax_window;
    }
}
