$(document).ready(function() {
    /**************************************************************************
     *** ACCIONES POR DEFECTO
     **************************************************************************/
    $("#calendar").datepicker();
    $.datepicker.setDefaults($.datepicker.regional['es']);
    var loading = "<div class='loading'>Cargando información, por favor espere...</div>";
    $("#div-new-item").dialog({ bgiframe: true, width: 960, height: 550, modal: true, autoOpen: false });
    $("#popup-movil").dialog({ bgiframe: true, width: 450, height: 300, autoOpen: false });
    $("#popup-detalles").dialog({ bgiframe: true, width: 960, height: 550, modal: true, autoOpen: false });
    /**************************************************************************
     *** CORRECCIÓN DE ACCIONES POR DEFECTO
     **************************************************************************/
    $("a.info,a.extra,a.create,a.listado,a.alert,a.tooltip,a.edit,a.finish,a.reset-pass,\n\
       a.add-new,a.button,a.create-inside,a.save,a.list-modal,a.popup,a.add-items,a.page,\n\
       a.disabled-prev,a.disabled-next,a.next,a.prev,a.page-actual,a.next-info,a.prev-info,\n\
       a.page-info, a.popup-movil, a.popup-detalles, a.edit-detalles").live('click', function(e){e.preventDefault(); return false; });
    $("form.ajax").live('submit', function(){ return false;});
    /**************************************************************************
     *** ÍCONOS DEL MENU PRINCIPAL
     **************************************************************************/
    $("a.home").button({icons : {primary: 'ui-icon-home'}});
    $("a.home").addClass("ui-state-highlight");
    $("a.list").button({icons : {primary : 'ui-icon-carat-1-e'}});
    $("a.create").button({text : false, icons: {primary:'ui-icon-plusthick'}});
    $("a.check").button({icons : {primary: 'ui-icon-check'}});
    $("a.caja-chica").button({icons : {primary: 'ui-icon-locked'}});
    $("a.warn").button({icons : {primary: 'ui-icon-alert'}});
    $("a.preferencias").button({icons : {primary: 'ui-icon-disk'}});
    $("a.informes").button({icons : {primary: 'ui-icon-document'}});
    /**************************************************************************
     *** ÍCONOS Y ESTILOS APLICADOS A LOS ELEMENTOS CARGADOS DINÁMICAMENTE
     **************************************************************************/
    $("#contenedor").focus(function(){
        $("span.disabled-prev").button({text:false, disabled: true,  icons : { primary : 'ui-icon-carat-1-w'}});
        $("span.disabled-next").button({text:false, disabled: true,  icons : { primary : 'ui-icon-carat-1-e'}});
        $("a.prev, a.prev-info").button({text:false, icons : { primary : 'ui-icon-carat-1-w'}});
        $("a.next, a.next-info").button({text:false, icons : { primary : 'ui-icon-carat-1-e'}});
        $("a.listado, a.page, a.page-info, a.page-actual").button();
        $("a.page-actual").addClass('ui-state-highlight');
        $("a.add-new").button({icons : {primary : 'ui-icon-plusthick'}});
        $("a.add-item").button({icons : {primary : 'ui-icon-plusthick'}, text:false});
        $("a.delete-items, a.delete-items-popup").button({text: false, icons : {primary : 'ui-icon-trash'}, disabled : true});
        $("a.edit-item, a.edit-extra, a.edit-tab, a.edit-detalles").button({text: false, icons : {primary : 'ui-icon-pencil'}});
        $("#submit").button({icons : { primary : 'ui-icon-check' }});
        $("#draft").button({icons : { primary : 'ui-icon-disk' }});
        $("#cancel").button({icons : { primary : 'ui-icon-circle-close' }});
        $("#cancel").addClass('ui-state-error');
        $("a.create").button({text : false, icons: {primary:'ui-icon-plusthick'}});
        $("button.candado").button({text:false, icons: {primary: 'ui-icon-locked'}});
        $("form.dividido input:text.show-calendar").datepicker({showOn:"button",showButtonPanel:true,selectOtherMonths:true});
        $("button.ui-datepicker-trigger").button({text:false, icons:{primary:"ui-icon-calendar"}});
        $('a.menu-popup-informe').button({icons: { primary:'ui-icon-calculator'}});
        $('a.menu-popup-add').button({icons: { primary:'ui-icon-plus'}});
        $('a.menu-popup-print').button({icons: { primary:'ui-icon-print'}});
    });
    /**************************************************************************
     *** EVENTOS INTERFAZ FORMULARIO
     **************************************************************************/
    $("form.dividido input:checkbox, form.dividido input:text, form.dividido select, form.dividido textarea").live('focus', function(){$(this).parent().prev().children().addClass('focus');});
    $("form.dividido input, form.dividido select, form.dividido textarea").live('blur', function(){$(this).parent().prev().children().removeClass('focus');});
    $("form.dividido input:radio").live('focus', function(){$(this).parent().addClass('focus');});
    $("form.dividido input:radio").live('blur', function(){$(this).parent().removeClass('focus');});
    /**************************************************************************
     *** NAVEGACIÓN AJAX
     **************************************************************************/
    $("a.info, a.page-info, a.prev-info, a.next-info, #opciones #listado-opciones ul li a.info").live('click', function(){
        $.ajax({
            dataType: "html", type: "GET",
            url: $(this).attr("href"),
            beforeSend: function(){$("#contenidos").html(loading);},
            success: function(requestData){
                $("#contenidos").html(requestData);
                $("#contenedor").focus();
            }
        });
    });

    $("a.create, a.edit, a.create-inside").live('click', function(){
        $.ajax({
            dataType: "html", type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){$("#contenidos").html(loading);},
            success: function(requestData){
                $("#contenidos").html(requestData);
                $("#contenedor").focus();
                //$("form.dividido").focus();
            }
        });
    });

    $("a.alert").live('click', function(){
        if(confirm($(this).attr('title'))){
            $.ajax({
                dataType: "html", type: "POST",
                url: $(this).attr("href"),
                beforeSend: function(){$("#contenidos").html(loading);},
                success: function(requestData){
                    $("#contenidos").html(requestData);
                    $("#contenedor").focus();
                }
            });
        }
    });

    $("a.popup").live('click', function(){
        var title = $(this).attr('title');
        $("#div-new-item").dialog('option', 'title', title);
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){
                $("#div-new-item").dialog('open');
                $("#div-new-item").html("Cargando datos...");
            },
            success: function(requestData){
                $("#div-new-item").html(requestData);
                $("#contenedor").focus();
            },
            error: function(){
                $("#div-new-item").html('Ocurrió un error al intentar cargar los datos');
            }
        });
    });

    $("a.popup-movil").live('click', function(){
        var title = $(this).attr('title');
        $("#popup-movil").dialog('option', 'title', title);
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){
                $("#popup-movil").dialog('open');
                $("#popup-movil").html("Cargando datos...");
            },
            success: function(requestData){
                $("#popup-movil").html(requestData);
                $("#contenedor").focus();
            },
            error: function(){
                $("#popup-movil").html('Ocurrió un error al intentar cargar los datos');
            }
        });
    });

    $("a.popup-detalles, a.edit-detalles").live('click', function(){
        var title = $(this).attr('title');
        $("#popup-detalles").dialog('option', 'title', title);
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){
                $("#popup-detalles").dialog('open');
                $("#popup-detalles").html("Cargando datos...");
            },
            success: function(requestData){
                $("#popup-detalles").html(requestData);
                $("#contenedor").focus();
            },
            error: function(){
                $("#popup-detalles").html('Ocurrió un error al intentar cargar los datos');
            }
        });
    });
    /**************************************************************************
     *** ENVÍO Y LIMPIEZA DE FORMULARIO
     **************************************************************************/
    $("#div-new-item form #submit").live('click', function(){
        $.ajax({
            dataType: 'html',
            type: "POST",
            url: $("#item").attr("action"),
            data : getInputsAjax(),
            beforeSend: function(){
                $("#div-new-item").html("Enviando datos... por favor espere.");
            },
            success: function(requestData){
                $("#div-new-item").html(requestData);
                $("#div-new-item form input:first").focus();
                updateDiv('#actualizable');
            },
            error: function(){
                $("#div-new-item").html('Ocurrió un error al intentar cargar el formulario');
            }
        });
    });

    $("#popup-detalles form #submit").live('click', function(){
        var i = $("#type_user").val();
        $.ajax({
            dataType: 'html',
            type: "POST",
            url: $("#popup-detalles form").attr("action"),
            data : getInputsAjax(),
            beforeSend: function(){
                $("#popup-detalles").html("Enviando datos... por favor espere.");
            },
            success: function(requestData){
                $("#popup-detalles").html(requestData);
                $("#popup-detalles form input:first").focus();
                if(i==0){
                    updateDiv('#actualizable');
                }
                $("#contenedor").focus();
            },
            error: function(){
                $("#popup-detalles").html('Ocurrió un error al intentar cargar el formulario');
            }
        });
    });

    $("#info form #submit").live('click', function(){
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $("form.ajax").attr("action"),
            data : getInputsAjax(),
            beforeSend: function(){
                $("#info").html("Enviando datos...");
            },
            success: function(requestData){
                $("#contenidos").html(requestData);
                $("#contenedor").focus();
                
            },
            error: function(requestData){
                $("#contenidos").html(requestData);
            }
        });
    });

    $("#info form #cancel").live('click', function(){
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $("#back").attr('value'),
            success: function(requestData){
                $("#contenidos").html(requestData);
                $("#contenedor").focus();
            }
        });
    });
    /**************************************************************************
     *** ELIMINACIÓN DE ITEMS QUE COMPONEN DOCUMENTOS
     **************************************************************************/
    $("input[class='delete-item']:checkbox").live('click', function(){
        var totalChecked = $("input[class='delete-item']:checked").length;
        if(totalChecked){
            $("a.delete-items").button({disabled:false});
        } else {
            $("a.delete-items").button({disabled:true});
        }
        totalChecked = 0;
    });

    $("a.delete-items").live('click', function(){
        var totalChecked = $("input[class='delete-item']:checked").length;
        if(totalChecked){
            if(confirm('¿Está seguro que desea eliminar el/los ítem(s) seleccionados?')){
                $.ajax({
                    type: "POST",
                    url: $(this).attr("href"),
                    data : getIdElements($("input[class='delete-item']:checked")),
                    success: function(){
                        updateDiv('#actualizable');
                    },
                    error: function(){
                        alert('Ocurrió un error al procesar su solicitud.');
                    }
                });
            }
        }
    });

    $("a.add-items").live('click', function(){
        if($("input.add-item:checked").length == 0){
            alert('Debe seleccionar uno o más ítems para agregar a la nota de venta.');
            return false;
        } else {
            $.ajax({
                type: "POST",
                url: $(this).attr("href"),
                data : getIdElements($("input[class='add-item']:checked")),
                beforeSend: function(){
                    $("#mensaje-popup").html("Enviando datos...");
                },
                success: function(requestData){
                    updateDiv('#actualizable');
                    $("#div-new-item").html(requestData);
                },
                error: function(){
                    alert('Ocurrió un error al procesar su solicitud.');
                }
            });
        }
    });


    $("input[class='delete-item-popup']:checkbox").live('click', function(){
        var totalChecked = $("input[class='delete-item-popup']:checked").length;
        if(totalChecked){
            $("a.delete-items-popup").button({disabled:false});
        } else {
            $("a.delete-items-popup").button({disabled:true});
        }
        totalChecked = 0;
    });

    $("a.delete-items-popup").live('click', function(){
        var totalChecked = $("input[class='delete-item-popup']:checked").length;
        if(totalChecked){
            if(confirm('¿Está seguro que desea eliminar el/los ítem(s) seleccionados?')){
                $.ajax({
                    type: "POST",
                    url: $(this).attr("href"),
                    data : getIdElements($("input[class='delete-item-popup']:checked")),
                    success: function(requestData){
                        $("#popup-detalles").html(requestData);
                        $("#contenedor").focus();
                    },
                    error: function(){
                        $("#popup-detalles").html('Ocurrió un error (js) al procesar su solicitud.');
                    }
                });
            }
        }
    });
    /**************************************************************************
     *** GENERACIÓN DE TOOLTIP'S
     **************************************************************************/
    $("form.dividido .tooltip").live('focus', function(){
         $(this).qtip({
            content: $(this).next().html(),
            show: { event: 'focus', ready: true},
            hide : 'blur'
        });
    });

    $("span.tooltip").live('click', function(){
         $(this).qtip({
            content: {
                title: { text: $(this).prev().html() },
                text: $(this).next().html()
            },
            show: { event: 'click', ready: true},
            hide : 'unfocus',
            position: {
                adjust: { screen: true }
            },
            style: {
                tip: true,
                classes: 'ui-tooltip-cream ui-tooltip-shadow'
            }
        });
    });
    /*
    $("ul li a.tooltip").live('click', function(){
        $(this).qtip({
            content: {
                text: 'Cargando...',
                ajax: { url: this.href, type: 'GET' },
                title: { text: 'Información básica cliente', button: true }
            },
            position: {
                adjust: { screen: true }
            },
            show: { event: 'click', solo:true, ready: true},
            hide : 'unfocus',
            style: {
                classes: 'ui-tooltip-shadow'
            }
        });
    });*/

    $('span.extracto').live('click', function(){
        $(this).qtip({
            content: {
                title: $(this).prev().html(),
                text: $(this).next().html()
            },
            position: {
                adjust: { screen: true }
            },
            show: { event: 'click', solo:true, ready: true},
            hide: 'unfocus',
            style: {
                tip: true,
                classes: 'ui-tooltip-shadow'
            }
        });
    });

    $('span.tooltip-lateral-izquierdo').live('click', function(){
        $(this).qtip({
            content: {
                title: 'Detalles orden de servicio Nº' + $(this).prev().html(),
                text: $(this).next().html()
            },
            position: {
                my: 'right middle',
                at: 'left middle',
                adjust: { screen: true }
            },
            show: { event: 'click', solo:true, ready: true},
            hide: 'unfocus',
            style: {
                tip: true,
                classes: 'ui-tooltip-dark ui-tooltip-shadow'
            }
        });
    });
    /**************************************************************************
     *** MENSAJES
     **************************************************************************/
    $("div#mensaje").live('click', function(){
        $(this).fadeOut();
    });
});