function getInputsAjax() {
    formElements = $("form.ajax input:text, form.ajax input:checked, form.ajax input:hidden, form.ajax textarea, form.ajax select");
    var dataForm = "";
    formElements.each(function () {
        name = this.name;
        value = this.value;
        dataForm = dataForm+'&'+name+'='+value;
    });

    return dataForm;
}

function guardarBorrador(dir, info, tipo)
{
    $.ajax({
        type: "POST",
        url: dir,
        data : info + '&tipo=' + tipo,
        success: function(requestData){
            $("#estado").html(requestData);
            $("#aviso-form").animate({opacity: 1.0}, 3000).fadeOut();
        },
        error: function(){
            $("#estado").html('<div id="aviso-form" class="error"><ul><li>Ocurrió un error al intentar guardar el borrador</li></ul></div>');
            $("#aviso-form").animate({opacity: 1.0}, 3000).fadeOut();
        }
    });
}

function getDataCampos(elements)
{
    var data = '';
    var campos = elements;
    for(i = 0; i < campos.length ; i++) {
        nombre  = elements[i];
        id      = '#' + nombre;
        valor   = $(id).val();
        data    = data + '&' + nombre + '=' + valor;
    };
    return data;
}

function getIdElements(items)
{
    var elements = items;
    var data = "";
    var i = 0;
    elements.each(function () {
        if(i!=0){data=data+',';}
        data=data+this.name;
        i++;
    });
    var dataForm = 'data='+data;
    return dataForm;
}

function updateDiv(id)
{
    var action = $(id).prev("input:hidden[id='rv']").val();
    $.ajax({
        type: "POST",
        url: action,
        beforeSend: function(){
            $("#actualizable").html("<p style='margin:30px 0 0 20px;'>Actualizando datos...</p>");
        },
        success: function(requestData){
            $("#actualizable").html(requestData);
            $("#contenedor").focus();
        },
        error: function(){
            alert('Ocurrió un error al intentar actualizar los datos.');
        }
    });
}
function ajaxSearchArticulo(buscador, campo1, campo2, campo3, campo4)
{
    $(buscador).autocomplete({
        source: '/ajax-articulo/search',
        minLenght: 1,
        select: function(event, ui)
        {
            $(campo1).val(ui.item.valor1);
            $(campo2).val(ui.item.valor2);
            $(campo3).val(ui.item.valor3);
            $(campo4).val(ui.item.valor4);
            $(buscador).val('');
        }
    });
}
function ajaxSearchServicio(buscador, campo1, campo2, campo3, campo4)
{
    $(buscador).autocomplete({
        source: '/ajax-servicio/search',
        minLenght: 1,
        select: function(event, ui)
        {
           $(campo1).val(ui.item.valor1);
           $(campo2).val(ui.item.valor2);
           $(campo3).val(ui.item.valor3);
           $(campo4).val(ui.item.valor4);
           $(buscador).val('');
        }
    });
}
function ajaxSearchProducto(buscador, campo1, campo2, campo3, campo4)
{
    $(buscador).autocomplete({
        source: '/ajax-producto/search',
        minLenght: 1,
        select: function(event, ui)
        {
           $(campo1).val(ui.item.valor1);
           $(campo2).val(ui.item.valor2);
           $(campo3).val(ui.item.valor3);
           $(campo4).val(ui.item.valor4);
           $(buscador).val('');
        }
    });
}
function ajaxSearchCategoriaArticulo(buscador, destino)
{
    $(buscador).autocomplete({
        source: '/ajax-categoria-articulo/search',
        minLenght: 1,
        select: function(event, ui)
        {
           $(destino).val(ui.item.id);
           $(buscador).val('');
        }
    });
}
function ajaxSearchServicioToPauta(buscador, campo)
{
    var pauta = $("#pauta_id").attr('value');
    $(buscador).autocomplete({
        source: '/ajax-servicio/search-to-pauta/pauta_id/' + pauta,
        minLenght: 1,
        select: function(event, ui)
        {
           $(campo).val(ui.item.valor);
           $(buscador).val('');
        }
    });
}
function ajaxSearchCliente(id, destino)
{
    $(id).autocomplete({
        source: '/ajax-cliente/search',
        minLenght: 1,
        select: function(event, ui)
        {
           $(destino).val(ui.item.rut);
           $(id).val('');
        }
    });
}
function ajaxSearchProveedor(id, destino)
{
    $(id).autocomplete({
        source: '/ajax-proveedor/search',
        minLenght: 1,
        select: function(event, ui)
        {
           $(destino).val(ui.item.rut);
           $(id).val('');
        }
    });
}
function ajaxSearchContactoToMail(id, nombre, mail)
{
    $(id).autocomplete({
        source: '/ajax-contacto/search',
        minLenght: 1,
        select: function(event, ui)
        {
           $(nombre).val(ui.item.value);
           $(mail).val(ui.item.mail);
           $(id).val('');
        }
    });
}
function abrirInput(id){
    $(id).button( "option", "icons", {primary:'ui-icon-unlocked'} );
    $(id).next().button( "option", "disabled", false );
    $(id).prev().removeAttr('disabled');
    state = 'open';
}
function cerrarInput(id){
    $(id).button( "option", "icons", {primary:'ui-icon-locked'} );
    $(id).next().button( "option", "disabled", true );
    $(id).prev().attr('disabled','disabled');
    state = 'close';
}
function saveDataInput(id)
{
    var uri = $(id).attr('href');
    var valor = $($(id).attr('rel')).val();
    var divMensaje = $(id).next();

    $.ajax({
        type: "POST",
        url: uri,
        data : "valor=" + valor,
        dataType: "json",
        beforeSend: function(){
            $(divMensaje).html("Guardando nuevo valor...");
        },
        success: function(data){
            var msj = '<span class="mensaje-inline" style="' + data.mensaje.style + '">' + data.mensaje.valor + '</span>';
            var valores = data.valores;
            $(divMensaje).html(msj);
            if(valores!=0){
                for(i = 0; i < valores.length ; i++) {
                    $(valores[i].id).html(valores[i].html);
                };
            }
            cerrarInput($(id).prev());

        },
        error: function(){
            $(divMensaje).html("<span style='color:red;'>Ocurrió un error al intentar guardar el nuevo valor</span>");
        }
    });
}
function exitSystem()
{
    location = '/index/logout';
}
function logOut()
{
    setTimeout(exitSystem, 10000);
}