<?php
class AjaxBarcodeController extends Zend_Controller_Action
{
    public function printAction()
    {
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();

        $codigo = $this->_getParam('id');

        $barcodeOptions = array('text' => $codigo, 'barHeight' => 35, 'factor' => 1.5);

        $rendererOptions = array(
            'imageType' => 'png'
        );

        Zend_Barcode::factory(
            'ean13', 'image', $barcodeOptions, $rendererOptions
        )->render();
    }
}