<?php
class AjaxServicioController extends Zend_Controller_Action
{
    public function searchAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){

            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();

            $param = $this->_getParam('term');
            $data = Default_Model_VistaServicios::search($param);
            $result = Zend_Json_Encoder::encode($data);
            echo $result;
        }
    }

    public function searchToPautaAction()
    {
        if($this->getRequest()->isXmlHttpRequest() AND
           $this->_getParam('pauta_id') AND
           $this->_helper->validateRecordExists('pautas_mantenciones', 'id', $this->_getParam('pauta_id'))){

            $this->_helper->layout->disableLayout();
            $this->_helper->viewRenderer->setNoRender();

            $param = $this->_getParam('term');
            $pauta_id = $this->_getParam('pauta_id');
            $data = Default_Model_VistaServicios::searchToPauta($param);
            $result = Zend_Json_Encoder::encode($data);
            echo $result;
        }
    }
}