<?php
class AjaxTareaController extends Zend_Controller_Action
{
    public function init()
    {
         $auth = Zend_Auth::getInstance();

        if (!$auth->hasIdentity()) {
            $this->_redirect('/');
        }
    }

    public function finishAction()
    {
        // deshabilito la vista y el layout
        $this->_helper->viewRenderer->setNoRender();
        $this->_helper->layout->disableLayout();
        
        //recibo las variables
        $id = (int)$this->_request->getPost('id', 0);
        $obs = $this->_request->getPost('obs');
        
        // creo el objeto de termino de tarea
        $termino = new TerminoTarea();
        $row = $termino->createRow();
        $row->tarea_id = $id;
        $row->observaciones = $obs;
        $row->save(); 
    }
}