<?php
class ContabilidadController extends Zend_Controller_Action
{
    public function preDispatch()
    {
        $auth = Zend_Auth::getInstance();
        if (!$auth->hasIdentity()) {
            $this->_redirect('/index/logout');
        }
    }

    public function init()
    {
        $this->path = '/contabilidad';
        $this->paginacion = Zend_Registry::get('paginacion');
        $this->view->modulo = 7;
        $this->view->usuario = Zend_Auth::getInstance()->getIdentity();

        $response = $this->getResponse();
        $response->insert('header', $this->view->render("header.phtml"));
        $response->insert('menu' , $this->view->render("menu-contabilidad.phtml"));
    }
    
    public function indexAction()
    {  
        $mSession = new Zend_Session_Namespace('expressauto');

        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $this->view->title = 'Gestión de remuneraciones y contabilidad';
    }
}