<?php
class HerramientasController extends Zend_Controller_Action
{
    public function init()
    {
        $auth = Zend_Auth::getInstance();
        if (!$auth->hasIdentity()) {
            $this->_redirect('/index/exit');
        }
        $this->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender();
    }
    
    public function migrarDataAction()
    {
        
        $modelOrden = new Default_Model_OrdenServicio();
        $modelInforme = new Default_Model_OrdenServicioInforme();
        $modelRecomendacion = new Default_Model_OrdenServicioRecomendacion();
        
        $ordenes = $modelOrden->fetchAll();
        $c = 0;
        
        foreach($ordenes as $orden){

            try {

                if($orden->observaciones!=''){
                    $rowInforme = $modelInforme->createRow();
                    $rowInforme->orden_id = $orden->id;
                    $rowInforme->creador = $orden->creador;
                    $rowInforme->creacion = $orden->creacion;
                    $rowInforme->informe = $orden->observaciones;
                    $rowInforme->save();
                }
                if($orden->recomendaciones!=''){
                    $rowRecomendacion = $modelRecomendacion->createRow();
                    $rowRecomendacion->orden_id = $orden->id;
                    $rowRecomendacion->creador = $orden->creador;
                    $rowRecomendacion->creacion = $orden->creacion;
                    $rowRecomendacion->plazo = '';
                    $rowRecomendacion->recomendacion = $orden->recomendaciones;
                    $rowRecomendacion->save();
                }
            } catch (Exception $exc) {
                echo $exc->getMessage();
            }
            $c++;
        }

        echo 'Se migraron ' . $c . ' registros';
    }
}