<?php
class Default_Form_Delete extends Zend_Form
{ 
    public function __construct($options = null) 
    { 
        parent::__construct($options);
        $this->setName('formDelete');
        $this->setAction('/');      
        $id = new Zend_Form_Element_Hidden('id');
        $id->addValidator('Int'); 
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('confirmar eliminación'); 
        $cancel = new Zend_Form_Element_Button('cancel');
        $cancel->setlabel('cancelar operación');

        $this->addElements(array($id,$submit,$cancel));

        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Fieldset')
             ->addDecorator('Form')
             ->setAttribs(array('class' => 'normal delete'))
             ->setElementDecorators(array(
                array('ViewHelper'),
                array('Errors'),
                array('Description'),
                array('Label', array('separator'=>' ')),
                array('HtmlTag', array('tag' => 'div', 'class'=>'campo_ingreso')),
            ));

        $id->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_hidden')),
        ));
           
        $submit->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_submit delete')),
        ));
        
        $cancel->setDecorators(array(
            array('ViewHelper'),
            array('Description'),
            array('HtmlTag', array('tag' => 'div', 'class'=>'campo_cancel')),
        ));        
    } 
} 
