<?php
class Default_Model_FormaPago extends Zend_Db_Table_Abstract
{
    protected $_name = 'formas_pago';
    protected $_primary = 'id';

    public static function getPairsToSelect()
    {
        $db = new Default_Model_FormaPago();
        $result = $db->getAdapter()->fetchPairs("SELECT id, CONCAT(tipo ,' : ', nombre) FROM formas_pago ORDER BY tipo ASC");
        return $result;
    }

    public static function getPorcentajeRecargo()
    {
        $db = new Default_Model_FormaPago();
        $where = "valor_referencial='SI'";
        $result = $db->fetchRow($where);
        $multiplicador = 1 + ($result->porcentaje_recargo / 100);
        return $multiplicador;
    }
}