<?php
class Default_Model_VistaPagosRecibidos extends Zend_Db_Table_Abstract
{
    protected $_name = 'vista_pagos_recibidos';
    protected $_primary = 'id';

    public static function getDocumentoBancario($pago_id)
    {
        $model = new Default_Model_VistaDocumentosBancariosRecibidos();
        $where = $model->getAdapter()->quoteInto("pago_id=?", $pago_id);
        $row = $model->fetchRow($where);
        if(NULL!==$row){
            $row->toArray();
        }
        return $row;
    }

    public static function getCodigoTransaccion($pago_id)
    {
        $model = new Default_Model_CodigoTransaccionTarjeta();
        $where = $model->getAdapter()->quoteInto("pago_id=?", $pago_id);
        $row = $model->fetchRow($where);
        if(NULL!==$row){
            $row->toArray();
        }
        return $row;
    }

}