<?php
class Default_Model_VistaServicios extends Zend_Db_Table_Abstract
{
    protected $_name = 'vista_servicios';
    protected $_primary = 'codigo';

    public static function search($param)
    {
        $sql = "SELECT * FROM vista_servicios ";
        $sql .= "WHERE nombre LIKE '$param%' ";
        $sql .= "OR categoria LIKE '$param%' ";
        $sql .= "OR descripcion LIKE '$param%' ";
        $sql .= "AND estado = 'DISPONIBLE' ";
        $sql .= "ORDER BY nombre";

        $model = new Default_Model_VistaServicios();
        $db = $model->getAdapter();
        $data = $db->fetchAll($sql);

        $newData = array();

        foreach($data as $row){
            $newRow = array();
            $newRow['value']    = $row['categoria'] . ' : '. $row['area_trabajo'] . ' : ' . $row['nombre'];
            $newRow['valor1']   = $row['codigo'];
            $newRow['valor2']   = round($row['precio_unitario_neto'] * Default_Model_FormaPago::getPorcentajeRecargo(), 0);
            $newRow['valor3']   = $row['nombre'];
            $newRow['valor4']   = $row['descripcion'];
            
            $newData[] = $newRow;
            unset($newRow);
        }

        return $newData;
    }

    public static function searchToPauta($param, $pauta_id)
    {
        $sql = "SELECT * FROM vista_servicios ";
        $sql .= "WHERE nombre LIKE '$param%' ";
        $sql .= "OR categoria LIKE '$param%' ";
        $sql .= "OR descripcion LIKE '$param%' ";
        $sql .= "AND estado = 'DISPONIBLE' ";
        $sql .= "AND NOT EXISTS (SELECT * FROM items_pautas_mantenciones
                             WHERE items_pautas_mantenciones.pauta_id='$pauta_id'
                             AND items_pautas_mantenciones.servicio=vista_servicios.codigo)";
        $sql .= "ORDER BY nombre";

        $model = new Default_Model_VistaServicios();
        $db = $model->getAdapter();
        $data = $db->fetchAll($sql);

        $newData = array();

        foreach($data as $row){
            $newRow = array();
            $newRow['value']    = $row['categoria'] . ' : ' . $row['nombre'];
            $newRow['valor']   = $row['codigo'];
            $newData[] = $newRow;
            unset($newRow);
        }

        return $newData;
    }
}