<?php
class Zend_View_Helper_CalcularDescuento
{
	
    public function calcularDescuento($tipo, $valor, $neto = 0)
    {

        if($tipo=='MONTO') {
            return $valor;
        }

        if($tipo=='PORCENTAJE'){
            return $this->_calcularValorDescuento($valor, $neto);
        }
    }

    private function _calcularValorDescuento($valor, $neto)
    {
        if($neto==0) {
            return $neto;
        }
        
        $monto = $neto * ($valor/100);
        return $this->_normalizarMonto($monto);
    }

    private function _normalizarMonto($monto)
    {
        $monto = round($monto);
        return $monto;
    }
}
