<?php
class Zend_View_Helper_CalcularTotalNeto
{
	
    public function calcularTotalNeto($totalNeto, $descuentoGlobal = 0)
    {
        /*
        if(!is_numeric($totalNeto) OR !is_float($descuentoGlobal)) {
            return 'Datos no válidos';
        }*/

        if($descuentoGlobal==0){
            return $totalNeto;
        }

        if($totalNeto==0){
            return $totalNeto;
        }

        return $this->_calcularNetoConDescuento($totalNeto, $descuentoGlobal);
    }

    private function _calcularNetoConDescuento($totalNeto, $descuentoGlobal)
    {
        
        $montoDescuento = $totalNeto * ($descuentoGlobal/100);
        $netoConDescuento = $totalNeto - $montoDescuento;
        return $this->_normalizarMonto($netoConDescuento);
    }

    private function _normalizarMonto($valor)
    {
        $valorNormalizado = round($valor);
        return $valorNormalizado;
    }
}
