$(document).ready(function() {
    /**************************************************************************
     *** Acciones por defecto
     **************************************************************************/
    $("#calendar").datepicker();
    $.datepicker.setDefaults($.datepicker.regional['es']);
    var loading = "<div class='loading'>Cargando información, por favor espere...</div>";
    var loadingExtra = "<div class='loading_extra'>Cargando información, por favor espere...</div>";
    $("#div-new-item").dialog({ bgiframe: true, width: 960, height: 550, modal: true, autoOpen: false });
    /**************************************************************************/

    /**************************************************************************
     *** Corrección de acciones por defecto
     **************************************************************************/
    $("a.info,a.extra,a.create,a.listado,a.alert,a.tooltip,a.edit,a.finish,a.reset-pass,\n\
       a.add-new,a.button,a.create-inside,a.save,a.list-modal,a.popup,a.add-items,a.page,\n\
       a.disabled-prev,a.disabled-next,a.next,a.prev,a.page-actual,a.next-info,a.prev-info,\n\
       a.page-info").live('click', function(e){e.preventDefault(); return false; });
    $("form.ajax").live('submit', function(){ return false;});
    /**************************************************************************/

    /**************************************************************************
     *** Íconos del menú
     **************************************************************************/
    $("a.home").button({icons : {primary: 'ui-icon-home'}});
    $("a.list").button({icons : {primary : 'ui-icon-search'}});
    $("a.check").button({icons : {primary: 'ui-icon-check'}});
    $("a.caja-chica").button({icons : {primary: 'ui-icon-locked'}});
    $("a.warn").button({icons : {primary: 'ui-icon-alert'}});
    $("a.informes").button({icons : {primary: 'ui-icon-document'}});
    $("a.create").button({text : false, icons: {primary:'ui-icon-plusthick'}});
    $("a.home").addClass("ui-state-highlight");
    $("a.preferencias").button({icons : {primary: 'ui-icon-disk'}});
    /**************************************************************************/

    /**************************************************************************
     *** Iconos y estilos aplicados a elementos cargados dinámicamente
     **************************************************************************/
    $("#contenedor").focus(function(){
        $("span.disabled-prev").button({text:false, disabled: true,  icons : { primary : 'ui-icon-carat-1-w'}});
        $("span.disabled-next").button({text:false, disabled: true,  icons : { primary : 'ui-icon-carat-1-e'}});

        $("a.prev, a.prev-info").button({text:false, icons : { primary : 'ui-icon-carat-1-w'}});
        $("a.next, a.next-info").button({text:false, icons : { primary : 'ui-icon-carat-1-e'}});

        $("a.listado, a.page, a.page-info, a.page-actual").button();
        //$("a.page").addClass('ui-state-highlight');
        $("a.page-actual").addClass('ui-state-highlight');
        //$("#edit").button({ icons: {primary:'ui-icon-pencil'} });
        //$("#delete").button({ icons: {primary:'ui-icon-trash'} });
        //$("#available").button({ icons: {primary:'ui-icon-check'} });
        //$("#not-available").button({ icons: {primary:'ui-icon-cancel'} });
        //$("#finish").button({ icons: {primary:'ui-icon-check'} });
        //$("#start").button({ icons: {primary:'ui-icon-circle-arrow-e'} });
        $("a.add-item").button({icons : {primary : 'ui-icon-plusthick'}, text:false});
        //$("a.add-new").button({icons : {primary : 'ui-icon-plusthick'}});
        //$("a.list-modal").button({icons : {primary : 'ui-icon-newwin'}});
        $("a.listado, a.page, a.page-info, a.page-actual").button();
        $("a.delete-articulos, a.delete-servicios, a.delete-items").button({text: false, icons : {primary : 'ui-icon-trash'}, disabled : true});
        $("a.edit-item, a.edit-extra, a.edit-tab").button({text: false, icons : {primary : 'ui-icon-pencil'}});
        $("table.list tbody tr:even").addClass('alt');
        $("table.list tbody tr:even").addClass('alt');
        $("#submit").button({icons : { primary : 'ui-icon-check' }});
        $("#draft").button({icons : { primary : 'ui-icon-disk' }});
        $("#cancel").button({icons : { primary : 'ui-icon-circle-close' }});
        $("#cancel").addClass('ui-state-error');
        $("ul#menu-extra li a").button({ icons: {primary:'ui-icon-search'} });
        $("a.create").button({text : false, icons: {primary:'ui-icon-plusthick'}});
        //$("#edit").button({ icons: {primary:'ui-icon-pencil'} });
        //$("#delete").button({ icons: {primary:'ui-icon-trash'} });
        //$("#convert").button({ icons : { primary : 'ui-icon-extlink' }});
        //$("#new-from").button({ icons : { primary : 'ui-icon-newwin' }});
        //$("#print").button({ text:false, icons : { primary : 'ui-icon-print' }});
        //$("#send-to-email").button({ text:false, icons : { primary : 'ui-icon-mail-closed' }});
        //$("#create-pdf").button({ text:false, icons : { primary : 'ui-icon-arrowthick-1-s' }});
        $("button.candado").button({text:false, icons: {primary: 'ui-icon-locked'}});
    });

    /**************************************************************************/

    /**************************************************************************
     *** Navegación Ajax
     **************************************************************************/
    $("a.info, a.page-info, a.prev-info, a.next-info, #opciones #listado-opciones ul li a.info").live('click', function(){
        $.ajax({
            dataType: "html", type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){$("#contenidos").html(loading);},
            success: function(requestData){
                $("#contenidos").html(requestData);
                $("#contenedor").focus();
            }
        });
    });

    $("a.listado, a.prev, a.next, a.page").live('click', function(){
        $.ajax({
            dataType: "html", type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){$("#info").html(loadingExtra);},
            success: function(requestData){
                $("#info").html(requestData);
                $("#contenedor").focus();
            }
        });
    });

    $("a.extra").live('click', function(){
        $.ajax({
            dataType: "html", type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){$("#info-extra").html(loadingExtra);},
            success: function(requestData){
                $("#info-extra").html(requestData);
                $("a.extra").removeClass('ui-state-highlight');
                $(this).addClass('ui-state-highlight');
                $("#contenedor").focus();
            }
        });
    });

    $("a.create, a.edit, a.create-inside").live('click', function(){
        $.ajax({
            dataType: "html", type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){$("#contenidos").html(loading);},
            success: function(requestData){
                $("#contenidos").html(requestData);
                $("#contenedor").focus();
                $("form.dividido").focus();
            }
        });
    });

    $("a.delete_registro").live('click', function(){
        if(confirm('¿Seguro que desea eliminar el registro?' + "\n\n" + 'Se eliminará toda la información relacionada.')){
            $.ajax({
                dataType: "html",
                type: "POST",
                url: $(this).attr('href'),
                success: function(requestData){
                    $("#contenidos").html(requestData);
                    $("#contenedor").focus();
                }
            });
        }
    });

    $("a.alert").live('click', function(){
        if(confirm($(this).attr('title'))){
            $.ajax({
                dataType: "html", type: "POST",
                url: $(this).attr("href"),
                beforeSend: function(){$("#contenidos").html(loading);},
                success: function(requestData){
                    $("#contenidos").html(requestData);
                    $("#contenedor").focus();
                }
            });
        }
    });

    $("a.add-new, a.edit-item").live('click', function(){
        var title = $(this).attr('title');
        $("#div-new-item").dialog('option', 'title', title);
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){
                $("#div-new-item").dialog('open');
                $("#div-new-item").html("Cargando formulario...");
            },
            success: function(requestData){
                $("#div-new-item").html(requestData);
                $("#contenedor").focus();
                $("#div-new-item form input:first").focus();
            },
            error: function(){
                $("#div-new-item").html('Ocurrió un error al intentar cargar el formulario');
            }
        });
    });

    $("a.list-modal").live('click', function(){
        var title = $(this).attr('title');
        $("#div-new-item").dialog('option', 'title', title);
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){
                $("#div-new-item").dialog('open');
                $("#div-new-item").html("Cargando datos...");
            },
            success: function(requestData){
                $("#div-new-item").html(requestData);
                $("#contenedor").focus();
            },
            error: function(){
                $("#div-new-item").html('Ocurrió un error al intentar cargar los datos');
            }
        });
    });

    $("a.popup").live('click', function(){
        var title = $(this).attr('title');
        $("#div-new-item").dialog('option', 'title', title);
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $(this).attr("href"),
            beforeSend: function(){
                $("#div-new-item").html("Cargando datos...");
            },
            success: function(requestData){
                $("#div-new-item").html(requestData);
                $("#contenedor").focus();
            },
            error: function(){
                $("#div-new-item").html('Ocurrió un error al intentar cargar los datos');
            }
        });
    });

    $("#div-new-item form #submit").live('click', function(){
        $.ajax({
            dataType: 'html',
            type: "POST",
            url: $("#item").attr("action"),
            data : getInputsAjax(),
            beforeSend: function(){
                $("#div-new-item").html("Enviando datos... por favor espere.");
            },
            success: function(requestData){
                $("#div-new-item").html(requestData);
                $("#div-new-item form input:first").focus();
                updateDiv('#extra');
            },
            error: function(){
                $("#div-new-item").html('Ocurrió un error al intentar cargar el formulario');
            }
        });
    });

    $("form.dividido").live('focus', function(){
        $("form.dividido input:text.show-calendar").datepicker({
            showOn : "button",
            showButtonPanel: true,
            selectOtherMonths: true
        });
        $("button.ui-datepicker-trigger").button({text:false, icons:{primary:"ui-icon-calendar"}});
    });
    /**************************************************************************/

    /**************************************************************************
     *** Eventos interfaz formularios
     **************************************************************************/
    $("form.dividido input:checkbox, form.dividido input:text, form.dividido select, form.dividido textarea").live('focus', function(){
        $(this).parent().prev().children().addClass('focus');
    });

    $("form.dividido input, form.dividido select, form.dividido textarea").live('blur', function(){
        $(this).parent().prev().children().removeClass('focus');
    });

    $("form.dividido input:radio").live('focus', function(){
        $(this).parent().addClass('focus');
    });

    $("form.dividido input:radio").live('blur', function(){
        $(this).parent().removeClass('focus');
    });
    /**************************************************************************/

    /**************************************************************************
     *** Envío y limpieza de formularios
     **************************************************************************/
    $("#info form #submit").live('click', function(){
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $("form.ajax").attr("action"),
            data : getInputsAjax(),
            beforeSend: function(){
                $("#info").html("Enviando datos...");
            },
            success: function(requestData){
                $("#contenidos").html(requestData);
                $("#contenedor").focus();
                
            },
            error: function(requestData){
                $("#contenidos").html(requestData);
            }
        });
    });

    $("#info form #cancel").live('click', function(){
        $.ajax({
            dataType: "html",
            type: "POST",
            url: $("#back").attr('value'),
            success: function(requestData){
                $("#contenidos").html(requestData);
                $("#contenedor").focus();
            }
        });
    });
    /**************************************************************************/

    /**************************************************************************
     *** Eliminación de ítems que componen documentos
     **************************************************************************/
    $("input[class='delete-articulo']:checkbox").live('click', function(){
        var totalChecked = $("input[class='delete-articulo']:checked").length;
        if(totalChecked){
            $("a.delete-articulos").button({disabled:false});
        } else {
            $("a.delete-articulos").button({disabled:true});
        }
        totalChecked = 0;
    });

    $("input[class='delete-servicio']:checkbox").live('click', function(){
        var totalChecked = $("input[class='delete-servicio']:checked").length;
        if(totalChecked){
            $("a.delete-servicios").button({disabled:false});
        } else {
            $("a.delete-servicios").button({disabled:true});
        }
        totalChecked = 0;
    });

    $("input[class='delete-item']:checkbox").live('click', function(){
        var totalChecked = $("input[class='delete-item']:checked").length;
        if(totalChecked){
            $("a.delete-items").button({disabled:false});
        } else {
            $("a.delete-items").button({disabled:true});
        }
        totalChecked = 0;
    });


    $("a.delete-articulos").live('click', function(){
        var totalChecked = $("input[class='delete-articulo']:checked").length;
        if(totalChecked){
            if(confirm('¿Está seguro que desea eliminar el/los ítem(s) seleccionados?')){
                $.ajax({
                    type: "POST",
                    url: $(this).attr("href"),
                    data : getIdElements($("input[class='delete-articulo']:checked")),
                    success: function(){
                        updateDiv('#extra');
                    },
                    error: function(){
                        alert('Ocurrió un error al procesar su solicitud.');
                    }
                });
            }
        }
    });

    $("a.delete-servicios").live('click', function(){
        var totalChecked = $("input[class='delete-servicio']:checked").length;
        if(totalChecked){
            if(confirm('¿Está seguro que desea eliminar el/los ítem(s) seleccionados?')){
                $.ajax({
                    type: "POST",
                    url: $(this).attr("href"),
                    data : getIdElements($("input[class='delete-servicio']:checked")),
                    success: function(){
                        updateDiv('#extra');
                    },
                    error: function(){
                        alert('Ocurrió un error al procesar su solicitud.');
                    }
                });
            }
        }
    });

    $("a.delete-items").live('click', function(){
        var totalChecked = $("input[class='delete-item']:checked").length;
        if(totalChecked){
            if(confirm('¿Está seguro que desea eliminar el/los ítem(s) seleccionados?')){
                $.ajax({
                    type: "POST",
                    url: $(this).attr("href"),
                    data : getIdElements($("input[class='delete-item']:checked")),
                    success: function(){
                        updateDiv('#extra');
                    },
                    error: function(){
                        alert('Ocurrió un error al procesar su solicitud.');
                    }
                });
            }
        }
    });

    $("a.add-items").live('click', function(){
        if($("input.add-item:checked").length == 0){
            alert('Debe seleccionar uno o más ítems para agregar a la nota de venta.');
            return false;
        } else {
            $.ajax({
                type: "POST",
                url: $(this).attr("href"),
                data : getIdElements($("input[class='add-item']:checked")),
                beforeSend: function(){
                    $("#mensaje-popup").html("Enviando datos...");
                },
                success: function(){
                    updateDiv('#extra');
                    $("#div-new-item").dialog('close');
                },
                error: function(){
                    alert('Ocurrió un error al procesar su solicitud.');
                }
            });
        }
    });
    /**************************************************************************/
    $("form.dividido .tooltip").live('focus', function(){
         $(this).qtip({
            content: $(this).next().html(),
            show: { event: 'focus', ready: true},
            hide : 'blur'
        });
    });

    $("span.tooltip").live('mouseover', function(){
         $(this).qtip({
            content: {
                title: { text: $(this).prev().html() },
                text: $(this).next().html()
            },
            show: { event: 'mouseover', ready: true},
            hide : 'mouseleave',
            position: {
                adjust: { screen: true }
            }
        });
    });

    $("form.dividido .autocomplete").live('focus', function(){
         $(this).autocomplete({ source: $(this).next().html() });
    });

    $("ul li a.tooltip").live('click', function(){
        $(this).qtip({
            content: {
                text: 'Cargando...',
                ajax: { url: this.href, type: 'GET' },
                title: { text: 'Información básica cliente', button: true }
            },
            position: {
                adjust: { screen: true }
            },
            show: { event: 'click', solo:true, ready: true},
            hide : 'unfocus',
            style: {
                classes: 'ui-tooltip-shadow'
            }
        });
    });

    $('span.extracto').live('click', function(){

        $(this).qtip({
            content: {
                title: $(this).prev().html(),
                text: $(this).next().html()
            },
            position: {
                adjust: { screen: true }
            },
            show: { event: 'click', solo:true, ready: true},
            hide: 'unfocus',
            style: {
                tip: true,
                classes: 'ui-tooltip-shadow'
            }
        });
    });

    $('span.mostrar-detalles').live('mouseover', function(){

        $(this).qtip({
            content: {
                title: 'Detalles orden de servicio Nº' + $(this).prev().html(),
                text: $(this).next().html()
            },
            position: {
                my: 'right middle',
                at: 'left middle',
                adjust: { screen: true }
            },
            show: { event: 'click', solo:true, ready: true},
            hide: 'unfocus',
            style: {
                tip: true,
                classes: 'ui-tooltip-shadow'
            }
        });
    });
});