$(document).ready(function(){

    $("#tools-content").accordion({header: 'h3'});

    $("form.f-search").buttonset();

    $("#hide-tools").click(function(){
        $("#tools").fadeOut();
        $("#tools-button").show();
        $("#contenidos").removeClass('tools-on');
    });

    $("#show-tools, #tools-button").click(function(){
        $("#tools").fadeIn();
        $("#tools-button").hide();
        $("#contenidos").addClass('tools-on')
    });

    $("#tools").hide();

    $("form.f-search").submit(function(e){
        e.preventDefault();

        if($(this).children(":checked").length==0) {
            alert("No ha seleccionado el criterio de búsqueda");
            return false;
        }
        
        var criterio = $(this).children("input:checked").val();
        var valor = $(this).children("input:text").val();
        
        if(criterio==''){
            alert('No ha ingresado un criterio de búsqueda.');
        } else {
            var action = $(this).attr('action');
            var listado = $(this).next();
            findAndShowData(action, criterio, valor, listado);
        }
    });

    function findAndShowData(action, criterio, valor, listado)
    {
    $.ajax({
        dataType: "html", type: "POST",
        url: action,
        data: "criterio=" + criterio + "&valor=" + valor,
        beforeSend: function(){$(listado).empty();$(listado).append('<li>Buscando ...</li>');},
        success: function(data){
            $(listado).empty();
            $(listado).html(data);
        }
    });
}
});